# $Revision: 1.7 $, $Date: 2011/12/08 20:14:15 $
Summary:	Stuttgart Finite State Transducer Tools
Summary(pl.UTF-8):	Stuttgart Finite State Transducer Tools - narzędzia do automatów skończonych
Name:		SFST
Version:	1.4.6d
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	ftp://ftp.ims.uni-stuttgart.de/pub/corpora/SFST/%{name}-%{version}.tar.gz
# Source0-md5:	f457c8f264deb214038f27c13c3ec2b9
URL:		http://www.ims.uni-stuttgart.de/projekte/gramotron/SOFTWARE/SFST.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	m4
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SFST is a toolbox for the implementation of morphological analysers
and other tools which are based on finite state transducer technology.

The SFST tools comprise:
- a compiler which translates transducer programs into minimised
  transducers
- interactive and batch-mode analysis programs
- tools for comparing and printing transducers
- an efficient C++ transducer library

%description -l pl.UTF-8
SFST to zestaw narzędzi do implementowania analizatorów
morfologicznych i innych narzędzi opartych na automatach skończonych z
wyjściem.

Narzędzia SFST obejmują:
- kompilator tłumaczący programy na zminimalizowane automaty skończone
  z wyjściem
- interaktywne i wsadowe programy do analizy
- narzędzia do porównywania i wypisywania automatów
- wydajną bibliotekę automatów skończonych z wyjściem dla C++

%package devel
Summary:	Header files for SFST library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SFST
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SFST library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SFST.

%prep
%setup -q -n %{name}

sed -i -e '/^	strip/d' src/Makefile

%build
%{__make} -C src libsfst.so \
	CC="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} \$(WARNING) -DSGI__gnu_cxx -DREADLINE -fPIC" \
	LDFLAGS="%{rpmldflags}"

%{__make} -C src \
	CC="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} \$(WARNING) -DSGI__gnu_cxx -DREADLINE" \
	LDFLAGS="%{rpmldflags}" \
	LREADLINE="-lreadline"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}/

%{__make} -C src maninstall \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_datadir}/

install -D src/libsfst.so $RPM_BUILD_ROOT%{_libdir}/libsfst.so

%{__make} -C src hfiles \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}/

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{SFST-Manual,SFST-Tutorial}.pdf
%attr(755,root,root) %{_bindir}/fst-*
%attr(755,root,root) %{_libdir}/libsfst.so
%{_mandir}/man1/fst-*.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/sfst

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SFST.spec,v $
Revision 1.7  2011/12/08 20:14:15  qboosh
- updated to 1.4.6d

Revision 1.6  2011/09/20 16:22:31  qboosh
- updated to 1.4.6b

Revision 1.5  2011/08/13 19:21:44  qboosh
- updated to 1.4.6a

Revision 1.4  2011/08/03 16:45:39  qboosh
- updated to 1.4.5

Revision 1.3  2011/07/13 15:51:13  qboosh
- updated to 1.4.4

Revision 1.2  2011/06/18 09:59:49  qboosh
- updated to 1.4.3

Revision 1.1  2011/04/22 18:55:49  qboosh
- new
